Assembler code problem in recent glibc releases

Mike Frysinger vapier@gentoo.org
Mon Nov 16 22:15:00 GMT 2009


On Monday 16 November 2009 15:50:14 JohnT wrote:
>   Help most appreciated. I'm running Mandriva Linux 2007.0 on an i686
> machine, with
> glibc-2.4-7mdv
> gcc-4.2.4 compiled default for i686
> binutils-2.19.1 (GNU Assembler version)
> I'm getting the following assembler-code error on glibc 2.5.1 and 2.7. I
> found problems with later glibc versions, by the way, and will describe
> them separately. I previously built and tested these on Mandriva 2006
> with some updated tools.

glibc 2.5 and 2.7 cannot be described as 'recent' in any way.  if you're going 
to be compiling really old versions of glibc, you probably need to use old 
versions of gcc/binutils too, else backport patches yourself to address these 
incompatibilities.
-mike
-------------- next part --------------
A non-text attachment was scrubbed...
Name: signature.asc
Type: application/pgp-signature
Size: 836 bytes
Desc: This is a digitally signed message part.
URL: <http://sourceware.org/pipermail/libc-help/attachments/20091116/2f21043d/attachment.sig>


More information about the Libc-help mailing list